﻿# The script of the game goes in this file.

# Declare characters used by this game. The color argument colorizes the
# name of the character.

define sh = Character("Shadow", color="a1f8a8")
define r = Character("Reyze", color="ceb9ff")
define k = Character("Kira", color="f8a1a3")
define si = Character("Silent", color="a1b2f8")
define da = Character("Dark Archer", color="f8c6a1")
define n = Character("Narrator")
define slow_dissolve = Dissolve(1.0)



# The game starts here.

label start:

    # Show a background. This uses a placeholder by default, but you can
    # add a file (named either "bg room.png" or "bg room.jpg") to the
    # images directory to show it.
    $ renpy.movie_cutscene("Nightwatch.mpg")
    play music ["life.mp3"] fadeout 1.0 fadein 1.0 loop
    scene rosja
    with slow_dissolve

    # This shows a character sprite. A placeholder is used, but you can
    # replace it by adding a file named "eileen happy.png" to the images
    # directory.


    # These display lines of dialogue.

    n "{i}Naszą opowieść rozpoczniemy od jakiegoś zaułka, bo jesteśmy biedni i tniemy koszty."

    n "{i}Jeśli po bokach pojawią się brzydkie, czarne paski, to przepraszam, nie moja wina."

    n "{i}To wina tych leni z administracji, że nie chciało im się tobrze tła wyskalować."

    n "{i}Powinni im obciąć pensje za taką fuszerkę."

    n "{i}Wracając..."

    n "{i}Opowiem wam dzisiaj o najodważniejszej drużynie bohaterów, jakich znał świat!"

    show nw-color
    with slow_dissolve

    n "{i}Drużynie, która postanowiła zamieszkać w Rosji i tam ratować ludzkość, {p} bo w Polsce nie było dla nich etatów w Żabce."
    n "{i}(Pewnie kierownik się bał, że wypijemy wszystkie wina.)"
    n "{i}Drużynie, która jest tak biedna, że jeden z jej członków musi brać udział w tematycznych sesjach zdjęciowych do Playboya, by utrzymać resztę."
    n "{i}I dorabia jako kucharz, w końcu mamy kryzys."
    n "{i}I ogółem gdyby nie on, to już dawno wszyscy skończyliby na ulicy."
    n "{i}Ale nie uprzedzajmy faktów!"
    n "{i}Nie przedłużając już więcej..."

    hide nw-color
    show nw-team
    with slow_dissolve

    n "{i}Oto {b}Nightwatch!{/b}{/i}"
    hide nw-team
    show nw-chibi
    with slow_dissolve
    n "{i}Występujemy nawet w wersji chibi."
    hide nw-chibi
    show nw-team
    with slow_dissolve
    n "{i}Dobra, wiecie co? Strasznie smętna ta muzyka."
    n "{i}Zaraz się tym zajmę."

    play music ["D.mp3"] fadeout 1.0 fadein 1.0 loop
    n "{i}Sekunda..."
    n "{i}No, od razu lepiej!"
    n "{i}A teraz wróćmy do opowieści."
    n "{i}Nasza droga drużyna składa się z 5 osób."
    scene fantasy
    show sil-1
    with slow_dissolve
    n "{i}{b}Silenta{/b}, lidera drużyny, który zachowuje się jak skrzyżowanie ojca i żołnierza w jednym."
    scene station_a
    show shad-1
    with slow_dissolve
    n "{i}{b}Shadow{/b}, naczelnego nerda. W sumie jedyne, co o niej wiadomo, to to, że lubi chodzić na konwenty."
    scene room
    show kira-casual
    with slow_dissolve
    n "{i}{b}Kiry{/b}, która przez lenistwo ludzi, którzy to robili, ma źle wyskalowany obrazek."
    n "{i}Dokładnie o tym wcześniej mówiłem."
    n "{i}Dobra, nieważne. Jestem pewien, że ktoś już ich za to zwolnił."
    scene space
    show reyze-1
    with slow_dissolve
    n "{i}{b}Reyze{/b}, perfidnie wykorzystywaną jako generator prądu, kiedy nikogo nie stać na opłacenie rachunków."
    scene haszcze
    show da-1
    with slow_dissolve
    n "{i}Oraz powód całego tego dramatu zwanego grą - mnie!"
    da "{i}Jestem {b}Dark Archer{/b} i to moich wesołych przygodach będziemy mówić."
    da "{i}Jednak zanim zaczniemy, musiscie wiedzieć jedną rzecz."
    da "{i}To ja utrzymuję drużynę, będąc modelem. Przeze mnie całe miasto odkryło swój ukrywany biseksualizm."
    da "{i}Tak, Silent też."
    da "{i}W każdym bądź razie rozpocznijmy już moją opowieść!"
    scene salon
    play music ["bavaria.mp3"] fadeout 1.0 fadein 1.0 loop
    show hb
    with slow_dissolve
    da "{i}Wszystko zaczęło się w dniu urodzin Kiry."
    da "{i}Z tej okazji urządziliśmy dla niej małe przyjęcie."
    hide hb
    show girls-sailor
    with slow_dissolve
    da "{i}A dziewczyny przebrały się za Sailor Moon."
    da "{i}Nie mam zielonego pojęcia, dlaczego."
    scene kitchen
    show da-f
    da "{i}Ja tymczasem zająłem się przygotowaniem posiłku w mojej cudownej kuchni, którą wyremontowałem własnymi rękoma."
    da "{i}Drużyna potem trochę narzekała, że nie stać nas na remont reszty budynku, ale jęki się skończyły, kiedy dałem im spróbować mojego makaronu!"
    da "{i}Bo musicie wiedzieć, że jestem świetnym kucharzem."
    da "{i}Wywodzę się z długiego i szlachetnego, włoskiego rodu Falkerinnich."
    da "{i}Są znani na całą Europę ze swoich słynnych makaronów."
    da "{i}A mój prapraprapraprapradziadek przypłynął do Stanów na tratwie po wybuchu rewolucji francuskiej."
    da "{i}Bo wiecie, ludzie bali się, że jego niesamowite umiejętności kucharskie przyczynią się do powrotu monarchii."
    da "{i}Ach, piękne czasy."
    da "{i}W każdym razie wystarczy już o mnie, wróćmy do opowieści!"
    scene salon
    show sil-1:
        xalign 1.0
        yalign 1.0
    show rey-sailor:
        xalign 0.60
        yalign 1.0
    show kira-sailor:
        xalign 0.30
        yalign 1.0
    show shad-sailor:
        xalign 0.0
        yalign 1.0
    with slow_dissolve

    da "{i}Nawet Silent postanowił ubrać się raz w miarę jak człowiek i założył coś innego niż swój strój."
    da "{i}Ogółem impreza wyszła nam całkiem spoko."
    hide sil-1
    hide rey-sailor
    hide kira-sailor
    hide shad-sailor
    da "{i}Po tym, jak Kira zdmuchnęła wszystkie świeczki z tortu (który, notabene, sam upiekłem, bo moja babcia pracowała kiedyś jako cukiernik)..."
    da "{i}... najedliśmy się do syta (świeżo po wypłacie, można było zaszaleć), a wszyscy powychwalali moją kuchnię nad niebiosa..."
    da "{i}...przyszedł czas na przeglądanie starych zdjęć, pamiątek i rysunków od fanów."
    show selfie behind kira
    with slow_dissolve
    show kira-sailor:
        xalign 0.0
        yalign 1.0
    k "O, pamiętam to! Poszliśmy wtedy na pizzę!"
    show shad-sailor:
        xalign 1.0
        yalign 1.0
    sh "Zaraz po tym, jak pokonaliśmy tego paskudnego potwora!"
    k "I Dark Archer uparł się, że koniecznie musimy to uczcić!"
    da "Jak widzicie, miałem rację!"
    hide selfie
    hide shad-sailor
    hide kira-sailor
    show shair
    with slow_dissolve
    show kira-sailor:
        xalign 0.0
        yalign 1.0
    k "Ugh, serio? Musimy go oglądać akurat dzisiaj?"
    show rey-sailor:
        xalign 1.0
        yalign 1.0
    r "Popieram Kirę. Czy nie mamy innych pamiątek do przejrzenia?"
    hide shair
    hide kira-sailor
    hide rey-sailor
    show da-model
    with slow_dissolve
    sh "...?"
    show da-f:
        xalign 1.0
        yalign 1.0
    da "To mi wygląda na rysunek od fanów."
    show shad-sailor:
        xalign 0.0
        yalign 1.0
    sh "Ale trzeba przyznać, że w tym futrze ci do twarzy. Podkreśla twoje włosy."
    da "Haha, dzięki! Widać, że ktoś tu ma dobry gust!"
    sh "Zastanawiam się, czy mówisz teraz o mnie, autorze tego obrazka czy o samym sobie."
    da "Tego się nigdy nie dowiemy. Dawajce następny!"
    hide da-model
    hide da-f
    hide shad-sailor
    show kira-sailor
    k "Mamy tu tego całe tony. Chcecie oglądać dalej?"
    menu:
        k "Czy chcesz kontynuować?"

        "Tak":
            jump choice1_yes

        "Nie":
            jump choice1_no

    label choice1_yes:

        k "Świetnie! No to lecimy dalej!"

        jump choice1_done

    label choice1_no:

        k "No to trudno, bo nie masz innego wyboru."

        jump choice1_done

    label choice1_done:
    show sil-broda
    with slow_dissolve
    show da-f:
        xalign 1.0
        yalign 1.0
    da "..."
    show sil-1:
        xalign 0.0
        yalign 1.0
    si "Okej, to chyba rysunek od fanów."
    da "Muszę przyznać, że z zarostem nie wyglądałbyś wcale źle."
    si "... dzięki. Chyba."
    ## Sil ogółem tu powinien walnąć buraka i wydukać "t-thank you... my s-senpai..."
    ## Taki tam kanon
    hide sil-broda
    hide da-f
    hide sil-1
    show da-wakacje
    with slow_dissolve
    da "..."
    k "..."
    si "..."
    r "..."
    sh "... Co to jest?"
    show da-f:
        xalign 0.0
        yalign 1.0
    da "TO TYLKO ZDJĘCIA Z WAKACJI! IDŹMY DALEJ!"
    hide kira-sailor
    da "{i}Nie mogłem im powiedzieć, że to zdjęcie z sesji zdjęciowej, ponieważ nikt z drużyny tak naprawdę nie wie, że jestem modelem."
    da "{i} To moja dobrze skrywana tajemnica."
    da "{i}Nie dlatego, że sie wstydzę czy coś."
    da "{i}Po prostu wiem, że by mnie wyśmiali, nie bacząc na to, że dzięki mojej ciężkiej pracy możemy opłacać rachunki."
    hide da-wakacje
    da "{i}Niewdzięcznicy."
    hide da-f
    show kira-sailor:
        xalign 0.0
        yalign 1.0
    with slow_dissolve
    k "To było ostatnie zdjęcie."
    show sil-1:
        xalign 1.0
        yalign 1.0
    with slow_dissolve
    si "Wiecie co? Przydałby się nam trening."
    k "Żartujesz sobie? Dzisiaj? Chcesz nas wszystkich pozabijać w moje urodziny?"
    si "Daj spokój, to tylko krótka rozgrzewka."
    show shad-sailor:
        xalign 0.5
        yalign 1.0
    with slow_dissolve
    sh "Kiedy to ostatnio powiedziałeś, skończyłam ze zwichniętym nadgarstkiem, a Reyze przez trzy dni nie mogła ruszać głową."
    si "Przesadzacie. Musimy ćwiczyć! Śmierć nie będzie czekać!"
    hide shad-sailor
    show rey-sailor:
        xalign 0.30
        yalign 1.0
    with slow_dissolve
    k "Raczej poczeka, aż ten dzień się skończy. Daj nam odpocząć, pracoholiku!"
    r "Zgadzam się z Kirą. To jej wielki dzień, niech ona decyduje."
    si "Dobra, skoro nie chcecie treningu, to przynajmniej skoczymy na szybki patrol."
    si "Podzielimy się na grupy i pójdzie raz dwa, godzinka i załatwione."
    k "Co za człowiek...!"
    r "Jak już mówiłam, to uroczystość Kiry, niech ona zadecyduje!"
    k "Niech mu już będzie, odhaczymy ten patrol i może w końcu będziemy mogli poimprezować."
    si "Haha, to mi się podoba!"
    show shad-sailor:
        xalign 0.60
        yalign 1.0
    with slow_dissolve
    sh "To jak się dzielimy?"
    menu:
        si "Z kim chcesz się udać na patrol?"

        "Silent":
            jump choice2_sil

        "Reyze":
            jump choice2_rey

        "Kira":
            jump choice2_kira

        "Shadow":
            jump choice2_shad

    label choice2_sil:

        $ menu_flag = True

        si "No i spoko. Idź się przebrać i widzimy się za pięć minut w garażu."

        jump choice2_done

    label choice2_rey:

        $ menu_flag = False
        r "Dobrze. Pójdę zmienić ubranie i możemy ruszać."

        jump choice2_done

    label choice2_kira:
        $ menu_flag = False
        k "Miejmy to jak najszybciej za sobą. Przebiorę się i spadamy."

        jump choice2_done

    label choice2_shad:
        $ menu_flag = False
        sh "Będzie ciężko, ale jak tam chcesz. Widzimy się za dziesięć minut."

        jump choice2_done

    label choice2_done:
if menu_flag:

    si "Dziewczyny będą drugą grupą. Widzimy się za chwilę."

else:

    si "Ok, reszta idzie ze mną. Widzimy się po robocie!"
    with slow_dissolve


scene end
play music ["glee-club-polka.mp3"] fadeout 1.0 fadein 1.0 loop
call credits from _call_credits
hide credits
return

label credits:
    $ credits_speed = 25 #scrolling speed in seconds
    scene black #replace this with a fancy background
    with dissolve
    show cred at Move((0.5, 5.0), (0.5, 0.0), credits_speed, repeat=False, bounce=False, xanchor="center", yanchor="bottom")
    with Pause(credits_speed)
    with dissolve
    show thanks:
        yanchor 0.5 ypos 0.5
        xanchor 0.5 xpos 0.5
    with dissolve
    with Pause(3)
    hide thanks
    show prima:
        yanchor 0.5 ypos 0.5
        xanchor 0.5 xpos 0.5
    with dissolve
    with Pause(3)
    hide prima

init python:
    credits = ('Game Concept & Design', 'Forsaken'), ('Game Concept & Design', 'Gwiazdeczka'), ('Game Concept & Design', 'Kira'), ('Game Concept & Design', 'Silent'), ('Character Art', 'Gwiazdeczka'),('Character Art', 'Kira'), ('Character Art', 'Silent'), ('Programing', 'Forsaken'), ('Writing', 'Forsaken'), ('Intro cutscene', 'Kira')
    credits_s = "{size=60}Credits\n\n"
    c1 = ''
    for c in credits:
        if not c1==c[0]:
            credits_s += "\n{size=30}" + c[0] + "\n"
        credits_s += "{size=20}" + c[1] + "\n"
        c1=c[0]
    credits_s += "\n{size=30}Engine\n{size=20}" + renpy.version()

init:
   # image cred = Text(credits_s, font="myfont.ttf", text_align=0.5) #use this if you want to use special fonts
    image cred = Text(credits_s, text_align=0.5)
    image night = Text("{size=80}Nightwatch: The Visual Novel", font="S_Hand.ttf", text_align=0.5)
    image thanks = Text("{size=80}Thanks for Playing!", text_align=0.5)
    image prima = Text("{size=20}A poza tym: prima aprilis ;)", text_align=0.5)

    # This ends the game.
